package com.fs.erp.dto;

import lombok.Data;
import lombok.experimental.Accessors;
import java.util.List;
import java.io.Serializable;

/**
 * ERP订单返回结果DTO
 *
 * @author xdd
 * @version 1.0
 * @since 2025-02-27
 */
@Data
@Accessors(chain = true)
public class ErpOrderResponseDTO implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 订单数据列表
     */
    private List<OrderData> datas;

    /**
     * 订单数据实体
     */
    @Data
    @Accessors(chain = true)
    public static class OrderData implements Serializable {

        private static final long serialVersionUID = 1L;

        /**
         * ERP订单界面-内部单号
         */
        private Integer oId;

        /**
         * ERP订单界面-线上单号
         */
        private String soId;

        /**
         * 是否成功
         */
        private Boolean issuccess;

        /**
         * 返回结果描述
         */
        private String msg;
    }
}
